Bug 565227 - SELinux is preventing /usr/sbin/NetworkManager "read" access on \x2fdevices\x2fpci0000:00\x2f0000:00:0f.0\x2f0000:02:0a.0\x2fnet\x2fwlan0.
SELinux is preventing /usr/sbin/NetworkManager "read" access on \x2fdevi...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:5083f545e29...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-13 16:08 EST by jbox_ny
Modified: 2010-09-21 05:41 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-21 05:41:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jbox_ny 2010-02-13 16:08:55 EST
Summary:

SELinux is preventing /usr/sbin/NetworkManager "read" access on
\x2fdevices\x2fpci0000:00\x2f0000:00:0f.0\x2f0000:02:0a.0\x2fnet\x2fwlan0.

Detailed Description:

[SELinux is in permissive mode. This access was not denied.]

SELinux denied access requested by NetworkManager. It is not expected that this
access is required by NetworkManager and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:NetworkManager_t:s0
Target Context                system_u:object_r:device_t:s0
Target Objects                \x2fdevices\x2fpci0000:00\x2f0000:00:0f.0\x2f0000:
                              02:0a.0\x2fnet\x2fwlan0 [ file ]
Source                        NetworkManager
Source Path                   /usr/sbin/NetworkManager
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           NetworkManager-0.7.997-2.git20091214.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.32-84.fc12
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.31.12-174.2.3.fc12.x86_64 #1
                              SMP Mon Jan 18 19:52:07 UTC 2010 x86_64 x86_64
Alert Count                   2
First Seen                    Sat 13 Feb 2010 03:57:25 PM EST
Last Seen                     Sat 13 Feb 2010 03:57:25 PM EST
Local ID                      e488e805-ba22-474f-99ce-0165bb8ba358
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1266094645.452:32): avc:  denied  { read } for  pid=1320 comm="NetworkManager" name="\x2fdevices\x2fpci0000:00\x2f0000:00:0f.0\x2f0000:02:0a.0\x2fnet\x2fwlan0" dev=tmpfs ino=9018 scontext=system_u:system_r:NetworkManager_t:s0 tcontext=system_u:object_r:device_t:s0 tclass=file

node=(removed) type=AVC msg=audit(1266094645.452:32): avc:  denied  { open } for  pid=1320 comm="NetworkManager" name="\x2fdevices\x2fpci0000:00\x2f0000:00:0f.0\x2f0000:02:0a.0\x2fnet\x2fwlan0" dev=tmpfs ino=9018 scontext=system_u:system_r:NetworkManager_t:s0 tcontext=system_u:object_r:device_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1266094645.452:32): arch=c000003e syscall=2 success=yes exit=4294967424 a0=7fff0567cb30 a1=0 a2=1b6 a3=0 items=0 ppid=1 pid=1320 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="NetworkManager" exe="/usr/sbin/NetworkManager" subj=system_u:system_r:NetworkManager_t:s0 key=(null)



Hash String generated from  catchall,NetworkManager,NetworkManager_t,device_t,file,read
audit2allow suggests:

#============= NetworkManager_t ==============
allow NetworkManager_t device_t:file { read open };
Comment 1 Daniel Walsh 2010-02-14 09:24:28 EST
Something has gone wrong with your labeling of /dev/.udev directory

restorecon -R -v /dev/.udev

Will fix.  But I have no idea why udev did not label these correctly.
Comment 2 jbox_ny 2010-02-15 21:36:12 EST
Thank you! I hope that fixed it. I am not sure how it happened but I did turn the SeLinux off and rebooted, then changed it to permissive and rebooted.

Note You need to log in before you can comment on or make changes to this bug.